<ui:composition xmlns:a4j="http://richfaces.org/a4j"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h2>#{messages['net.ihe.gazelle.xval.ManageGazelleCrossValidatorRules']}</h2>
        <ui:decorate template="/xvalidation/common/browseRuleTemplate.xhtml">
            <ui:param name="managedBean" value="#{ruleAdministrationManager}"/>
            <ui:param name="displayStatusColumn" value="true"/>
            <ui:define name="additionalCriteria">
                <div class="row">
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filter" value="#{ruleAdministrationManager.filter}"/>
                            <ui:param name="filterId" value="status"/>
                            <ui:param name="filterName" value="#{messages['net.ihe.gazelle.xval.Status']}"/>
                            <ui:param name="filterForm" value="globalDiv"/>
                        </ui:include>
                    </div>
                    <div class="col-lg-6">
                        <ui:include src="/filter/filter.xhtml">
                            <ui:param name="filterWidth" value="240"/>
                            <ui:param name="filter" value="#{ruleAdministrationManager.filter}"/>
                            <ui:param name="filterId" value="modifier"/>
                            <ui:param name="filterName" value="#{messages['net.ihe.gazelle.xval.LastModifier']}"/>
                            <ui:param name="filterForm" value="globalDiv"/>
                        </ui:include>
                    </div>
                </div>
                <div class="row">
                    <div class="col-lg-6">
                        <ui:include src="/filter/filterDate.xhtml">
                            <ui:param name="filter" value="#{ruleAdministrationManager.filter}"/>
                            <ui:param name="filterId" value="timestamp"/>
                            <ui:param name="filterName" value="#{messages['net.ihe.gazelle.xval.LastModified']}"/>
                            <ui:param name="filterForm" value="globalDiv"/>
                        </ui:include>
                    </div>
                </div>
                <div class="form-inline">
                    <label class="control-label">#{messages['net.ihe.gazelle.xval.ShowOnlyRules']}</label>
                    <ui:decorate template="/layout/form/_checkbox.xhtml">
                        <h:selectBooleanCheckbox value="#{ruleAdministrationManager.withFailedUT}">
                            <a4j:ajax event="change" render="globalDiv"/>
                        </h:selectBooleanCheckbox>
                        #{messages['net.ihe.gazelle.xval.WithFailedUnitTests']}
                    </ui:decorate>
                    <ui:decorate template="/layout/form/_checkbox.xhtml">
                        <h:selectBooleanCheckbox value="#{ruleAdministrationManager.withNoUT}">
                            <a4j:ajax event="change" render="globalDiv"/>
                        </h:selectBooleanCheckbox>
                        #{messages['net.ihe.gazelle.xval.WithoutUnitTests']}
                    </ui:decorate>
                    <ui:decorate template="/layout/form/_checkbox.xhtml">
                        <h:selectBooleanCheckbox value="#{ruleAdministrationManager.withNoAssertion}">
                            <a4j:ajax event="change" render="globalDiv"/>
                        </h:selectBooleanCheckbox>
                        #{messages['net.ihe.gazelle.xval.NotLinkedToAssertions']}
                    </ui:decorate>
                </div>
            </ui:define>
            <ui:define name="actionButtons">
                <a4j:commandLink id="editRule"
                                 title="#{messages['net.ihe.gazelle.xval.EditRule']}" styleClass="action"
                                 rendered="#{not rule.isDeprecated()}"
                                 oncomplete="jq162('#updateRulePanel').modal('show');"
                                 render="updateRulePanelContent updateForm"
                                 actionListener="#{ruleUpdateManager.setRule(rule)}">
                    <s:span styleClass="gzl-icon-pencil "/>
                </a4j:commandLink>
                <a4j:commandLink
                        title="#{messages['net.ihe.gazelle.xval.MarkAsDeprecatedinactive']}"
                        styleClass="action" rendered="#{not rule.isDeprecated()}"
                        oncomplete="jq162('#deprecateRulePanel').modal('show');"
                        render="deprecateRulePanelContent"
                        actionListener="#{ruleUpdateManager.setRule(rule)}">
                    <s:span styleClass="gzl-icon-trash-o "/>
                </a4j:commandLink>
            </ui:define>
            <ui:define name="navButtons">
                <div class="btn-group">
                    <button type="button" class="btn gzl-btn-blue dropdown-toggle" data-toggle="dropdown"
                            aria-haspopup="true" aria-expanded="false">#{messages['net.ihe.gazelle.xval.Access']} <span class="caret"/>
                    </button>
                    <ul class="dropdown-menu">
                        <li>
                            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.AccessValidators']}"
                                             action="#{ruleAdministrationManager.listValidators()}"/>
                        </li>
                        <li>
                            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.AccessReferencedObjects']}"
                                             action="#{ruleAdministrationManager.listReferencedObjects()}"/>
                        </li>
                        <li>
                            <a4j:commandLink value="#{messages['net.ihe.gazelle.xval.AccessUnitTests']}" action="#{ruleUnitTestManager.listUnitTests()}"/>
                        </li>
                    </ul>
                </div>
            </ui:define>
        </ui:decorate>
        <ui:include src="/xvalidation/admin/updateRulePanel.xhtml"/>
        <ui:include src="/xvalidation/admin/deprecateRulePanel.xhtml">
            <ui:param name="idsToRerender" value="rulesPanel"/>
        </ui:include>
    </ui:define>
</ui:composition>
